package de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data;

import org.apache.log4j.Logger;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.entity.IFEntity;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data.IFSignatureHandlingInfo;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.entity.IFEntity;
import de.tu_dresden.diplom.richter_mirko_mat2628335.common.result.BaseResult;

/**
 * @see de.tu_dresden.diplom.richter_mirko_mat2628335.common.handler.data.IFSignatureHandlingInfo
 */
public class SignatureHandlingInfo extends CryptHandlingInfo implements IFSignatureHandlingInfo{

   private static final Logger logger = Logger.getLogger(SignatureHandlingInfo.class);

   private IFEntity actingEntity = null;

   public SignatureHandlingInfo() {
      setResultCode(UNKNOWN);
   }

   public IFEntity getActingEntity() {
      return actingEntity;
   }

   public void setActingEntity(IFEntity actingEntity) {
      this.actingEntity = actingEntity;
   }

   public boolean isSuccess(){
      return getResultCode() == SUCCESS;
   }

   public boolean isFailure(){
      return !isSuccess();
   }

}
